N!tmod 2.2:

		----------------------------------------------------

	BETA 2 :

	---- November 17th 2011
	Fixed: !help crash on servers with no custom commands
	Fixed: custom commands were not cleared when loading commands.db (!readconfig)
	---- November 16th 2011
	Modified: /checkmails command is now /mails
	Added: /mails now inform the client if he has no message.
	Added: /deletemail now prints an error message if an invalid mail ID is specified
	Reworked: New configstrings method. Old one was causing servercommand overflows, this one is faster and safer.
	Fixed: (Mail system) users had to login every map
	Fixed: (Mail system) little bug with the /register command
	---- November 15th 2011
	Fixed: SQLite database was never closed, one new thread to the file was created at every G_InitGame call...
	Fixed: !help output was incredibly wrong for custom commands
	Fixed: SQLite bug causing database lock after a few queries...
	---- November 14th 2011
	Fixed: et.G_shrubbot_permission LUA crash
	Fixed: Damage feedback was wrong or missing most of the time
	Fixed: Muted players couldn't be unmuted after a /reconnect or a map_restart
	Fixed: !dbsave was not displaying anything when used ingame
	Added: /callvote without any args now displays Custom votes (votes.db)
	Fixed: Spawpoints infos were wrong in limbo menu

		----------------------------------------------------

	BETA 1 :

	---- November 14th 2011
	Added: ETXreal maps support
	Added: cg_tracers 2, Display other players' tracers only
	Updated menus
	Fixed: compass icons were not clipped correctly
	---- November 6th 2011
	New: SQLite Map Records
	Merged latest OmniBot fixes (from ETPub SVN, credits: crapshoot)
	New bomb model
	Added: g_misc 4 : Disable medpack XP
	Added: g_misc 8 : Disable ammopack XP
	Fixed: Depending on server settings, flakjacket was available in DM
	Fixed: "Prepare to fight" announced correctly
	Fixed: Old bug not giving grenades during Sniperwar and RifleGrenade war
	Fixed: Binoculars now available in Sniperwar
	New: skill_* cvars now accept -1 values to disable a skill
	Fixed: Muted status was lost when reconnecting or restarting map
	Fixed: !banguid cannot be used on players with higher admin level
	---- June 24th 2011
	Fixed: "novote" flag now works correctly
	Fixed: Flag 16 of 'g_goombaFlags' (Instagib) should now work properly no matter what g_goomba is set to.
	---- June 10th 2011
	Added: SQLite support (~85%)
	Added: PostgreSQL (~45%)
	Fixed: SQL tables size
	New: Real gravity. (Items now use server real gravity (g_gravity) instead of default (800))
	Fixed: "MOD_POISONGAS" was missing in modnames
	Fixed: Players could use "say_teamnl" while muted
	Fixed: Poison gas damage code reworked. No more damage through walls (except map bug?)
	Fixed: some prediction errors (including the most annoying: weapons needing charge fired when charge was empty)
	Fixed: Player model lighting at long range
	Modified: Built in LUA API. No more additionnal DLLs needed on Windows servers
	Fixed: Don't allow callvote mute if player is muted by admin (Thanks to LSD Wol for reporting)
	Fixed: G_shrubbot_tempban wasn't copying MAC Address. (Thanks to LSD Wol for reporting)
	---- May 18th 2011
	Fixed: Sten was sometimes not drawn in limo
	Added: Progress bar for Poison Landmine when arming
	Added: Cursor hint for Poison Landmine
	Fixed: Animations were broken when holding a Poison Landmine
	Fixed: Smoke bomb and Poison gas bomb not thrown when leaning
	Fixed: Objective popups used to crash the server when the attacker wasn't a client.
	Fixed: Weapon switching delays are now the same as ETMain/ETPro
	Fixed: Custom weaponscripts now work for Tripmines.
	Fixed: shrubbot "incognito" flag had no effect, should be finally fixed now.
	Fixed: It was possible to vote mute players with the "immunity" flag
	Modified: 0 bandwidth hitsounds
	Fixed: "novotelimit" had no effect on disabled votes. Admins with this flag can now call votes even if they are disabled.
	Fixed: Ticket #31 (http://nitmod.com/tracker/index.php?do=details&task_id=31) Dropped K43/GARAND had no ammo.
	Added: Flag 4 to g_poison > Jaymod style damage ratio for poison syringes 
	Fixed: cursor health was broken for spectators
	Added: New Configstrings system. "MAX_GAMESTATE_CHARS exceeded" error should never happen again.
	Added: Tripmines are now slighlyt visible by enemy (level 4 battle sense and higher).
	Fixed: Centerprints were sometimes not received.
	Fixed: /callvote poll now returns an error message if poll voting is disabled.
	Fixed: Body and Head hitsounds not working in TDM and DM
	Added: Flag 8 to g_TDMOptions > Enable Intermission Map Voting during Team Death Match
	Modified: Loadpanel can now accept up to 7 MOTD lines, new chargebar, server name now displayed in place of mod version.
	Added: server_motd6 cvar
	Modified: TDM Score Box (progress bar, score blinks when changed, "COD" style Time bar when TDM is timelimit based)
	Added: Flag 16 to g_TDMOptions : Round will end when timelimit is reached
	Added: NGUID (N!tmod GUID). N!tmod now uses its own GUIDs. PBGUID is no longer used by the mod.
	Fixed: Don't allow duplicate bans with !banguid
	Fixed: Don't ban localhost/127.0.0.1 with !banguid
	Fixed: !banguid now instantly drops the client if he's connected
		----------------------------------------------------				
	N!tmod custom votes system:	
		Server admins can now create custom votes on their server.
		These votes don't take any arguments. 
		The specified command will be executed if the vote passes. 
		Nothing happens if the vote fails.
		Votes have to be defined inside a "votes.db" file, located in the "nitmod" folder of your server.
		Here's the "votes.db" structure:
			
			**********	//Delimiter (10 stars "*") Must IMPERATIVELY be placed BEFORE every vote.
			name =		//Vote name (ex: "splata")
			cmd =		//Command sent to the server if the vote passes (ex: !splata)
			message =	//Message displayed on players screens when the vote is called.
			
		This file will be loaded everytime a map is loaded by the server.
		----------------------------------------------------
	New Admin/XPSave/UserMail/Map records system :	
		What's new ?	
		
		N!tmod 2.2 comes with a whole new SQLite database system.
		Starting from N!tmod 2.2, the usual "shrubbot.cfg" disappears!
		XPSave, Admins, Bans, Mutes, Mails (if enabled) and map records will now be saved into a SQLite database.
		A mail system has also been added in order to let users contact each other, a sort of "offline PM system".
		If enabled, users will be able to register and send mails to other registered users.
		
		Some SQLite errors will be printed in the server console and written to logs (if logging is enabled).
		These errors are needed if you report a problem on our forums !
		
		New cvars:
			"n_SQLiteDBPath"
				Absolute path to the SQLite database file.
				Must include filename (ex: C:\nitmod.sqlite) !!
				Database file will automaticly be created.
				Admin System, XPSave, Mails and Map Records will be unavailable if this cvar is not or not correctly set or if something went wrong while opening the file.
			"n_dbSync"
				0: Latched SQLite queries. Only sent when using !dbsave or when map end/restarts. 
				1 : Real time SQLite queries, to allow multiple servers using the same database.)
			"n_userMail" 
				0 : Disable N!tmod mail system.
				1 : Enable N!tmod mail system.
			
		Deleted cvars:
			"g_shrubbot"
			"g_XPSaveDirectory"
			
		New commands:
			"!userdelete"
				Deletes an user from the server database.
				Database will be automaticly saved and reloaded when used.
			"!levdelete"
				Deletes a level
					"levels.db" will be automaticly saved and reloaded when used
			"!levadd"
				Adds a level "levels.db" will be automaticly saved and reloaded when used.
				Levels order in !levlist and inside the "levels.db" file may be incorrect, but will not cause any problems
			
		N!tmod mail system commands:			
			Following commands requires "n_userMail" to be set to 1 on the server, and a valid SQLite database!
			"/register"
				Register on the server.
				This command will link an username and a password to your NGUID on the server.
			"/login"
				Login to your account to use N!tmod mail system.
				NOTE: If the login doesn't match the NGUID it is linked to, login will fail.
			"/checkmails"
				Display user's inbox.
				Requires user to be registered and logged in to his account.
			"/deletemail"
				Delete mail by ID.
				Use "/checkmails" to find the correct mail ID.
			"/mailto"
				Sends a mail to another user on the server using his login.
				Ex: "/mailto user_21 Hi there, what's up?".
		
		Config changes:
			Levels have to be defined inside a "levels.db" file, located in the "nitmod" folder of your server.
			This file uses a different structure. 
			Don't copy/paste level entries from your old "shrubbot.cfg", it will not work.
			Here's "levels.db" structure:
			
				**********	//Delimiter (10 stars "*") Must IMPERATIVELY be placed BEFORE every level.
				level =		//Level Number
				name =		//Level Name
				flags =		//Flags 
				gtext =		//Optional Greeting Text (user's greeting text overrides this value)
				gsound =	//Optional Greeting Sound (user's greeting sound overrides this value)
						
			Commands have to be defined inside a "commands.db" file, located in the "nitmod" folder of your server.
			This file uses a different structure. 
			Don't copy/paste level entries from your old "shrubbot.cfg", it will not work.
			Here's the new "commands.db" structure:
				
				**********	//Delimiter (10 stars "*") Must IMPERATIVELY be placed BEFORE every command.
				name =		//Command name (ex: "test")
				exec =		//Command sent to server (ex: chat "^3Test command")
				help =		//Text displayed in !help cmdname (ex: "Test command")
				levels =	//Levels having access to this command, delimited by spaces (ex: 0 1 2)
						
			These 2 files (levels.db, commands.db) can be reloaded using !readconfig. 
			They are also loaded everytime a map is loaded by the server.
			The "levels.db" file will be saved everytime !levedit, !levadd or !levdelete commands are used.
				
		********************************************************************************************************
		
N!tmod 2.1 RC1:

	Fixed: Menus bugs (unmute/mute & makereferee/unreferee)
	Fixed: XP and Ping positions were wrong on the scoreboard if the player was muted and another icon had to be displayed before the class icon and player name
	Fixed: Delay when switching to pliers
	Fixed: Ticket #6 : ALT stats broken in DeathMatch (Bug was server side, but visible on client only)
	Fixed: If cg_pingColors was set to 1, ping was displayed white for players with 201ms
	Fixed: No more "Out of stock" sten in limbo, don't display at all if it doesnt carry over to medics and fieldops
	Fixed: cg_noAmmoAutoSwitch was broken
	Fixed: Ammo Packs texture was wrong when reaching level 5 Signals (See Tickets #3 and #10)
	Fixed: Players randomly gibbed in DM
	Fixed: Last frag of the round announce should now be correct in DM
	Fixed: Crash when walking on <world>'s landmine
	Fixed: "duplicated guid" kick for players with "unknown" guid
	Fixed: No activity warning for shrubbot admins with the "inactivity" flag
	Fixed: rcon can now setlevel higher than 64
	Fixed: Warmup shuffle bug (moving spectators into teams)
	Fixed: Head hitbox when prone
	Fixed: Fixed: Bomb not thrown when leaning
	Fixed: "novote" and "incognito" flags had no effect
	Fixed: Ignore goombaflags for teammates in DM
	Fixed: Typos in shrubbot help strings
	Fixed: Typo in losing spree announces
	Fixed: Forcecvar conflicts if the cvar was forced 2 times with 2 different values
	Added: Tripmines (Engineer, weaponbank 7, see g_weapons)
	Added: Poison Gas Bombs (CovertOps, weaponbank 5, see g_weapons)
	Added: Poison Gas Mines (Engineer, weaponbank 7, see g_weapons)
	Added: Axis and Allied Tripimines beam have a different color (Red or Blue)
	Added: Shoutcasters can see Tripmines beam (free spec and following)
	Added: A lot of sounds were not cached. We are now caching them during map load
	Added: Started working on an experimental workaround/fix for the "MAX_GAMESTATE_CHARS" error
	Added: Construction and Destruction announces ("construction name" contrusted/destructed/damaged by "player name")
	Added: "Anti /team Spam" : Prevent server crashes/heavy load (see g_teamChangeDelay below)
	Added: g_teamChangeDelay cvar : Delay in millisecond before letting a player change team (they can move spec if they were Axis or Allies. Value of 0 disables the "Anti /team spam")
	Added: !delrecords shrubbot command : Erase records for the specified map (flag : "delrecords", usage : !delrecords mapname. Ex: !delrecords oasis)
	Added: Flag 128 g_weapons : MG42 can get HS
	Added: Flag 16384 to g_weapons : Enable poison gas landmines
	Added: Flag 8192 to g_weapons : Enable poison gas canisters
	Added: Flag 32768 to g_weapons : Enable Tripmines
	Added: Flag 32 to g_damageweapons : Tripmines can be damaged
	Added: Flag 64 to g_damageWeapons : Poison gas canisters can be damaged
	Added: Flag 32 to g_DMoptions : Disable Artillery Support during DM
	Added: Flag 64 to g_DMOptions : Disable health cabinets
	Added: Flag 128 to g_DMOptions : Disable Ammo cabinets
	Added: Flag 4 to g_TDMoptions : Disable Artillery Support during TDM
	Added: Flag 128 to g_friendlyFire 128 : Teammates don't activate Tripmines
	Added: team_maxTripmines cvar : Limit the number of tripmines that can be placed at the same time by each team
	Added: g_spectatorNames cvar : Display player names above their heads when spectator
	Added: g_misc bitmask cvar
	Added: Flag 1 to g_misc : Don't let teammates disarm dynamite near objective (only the dynamite owner can disarm it)
	Added: Flag 2 to g_misc : Don't give XP to the attacker if the victim has been AFK for 30+ seconds (Sort of Anti "Raters")
	Modified: Allow timerset and resettimer during warmup
	Modified: Reset timer when map restarts
	Modified: g_dropAmmo and g_dropHealth will now work in DM
	Modified: Players can now join allies or axis team in Death Match (Used to be axis only)
	Modified: Increased max maps for gametype 6 from 32 to 64
	
		********************************************************************************************************
			
N!tmod 2.0:

	Added : "makeshoutcaster" and "makesc" server commands
	Added : "removeshoutcaster" and "removesc" server commands
	Fixed : rcon !showbans crash
	Added : Client checks to verify N!tmod integrity (Clients will be disconnected if test fails)
	Added : Server checks to verify N!tmod integrity and installation validity. (Server will shutdown if test fails, reason will be written in logs)
	Fixed : Level 3 battle sense will not spawn with 85HP anymore during DM
	Fixed : MOD_FALLING deaths were not added to the client's death counter
	Added : DeathMatch mapscripts for : Adlernest, Frostbite and Braundorf_b4
	Removed : MP5 weapon. It was exactly the same weapon as MP40 or Thompson. Also, it was NOT more accurate neither making more damage, as many players thought.
	Removed : Flag 16 for g_medics and flag 128 for g_weapons will have no effect (because of MP5 removal)
	Modified : Spree announces now use less bandwidth when sent to clients
	New : N!tmod style spree announces. Not using top center banners anymore. Use less bandwidth.
	Added : Killing/Losing Sprees will be logged in client console
	Fixed : Crosshair health wasn't always drawn when following a player
	Added : If a class in unavailable, a red cross will be drawn on the class buton in the limbo menu
	Modified : Using a different and lighter method to send Map End Stats. 
	Fixed : Clients were sometimes receiving another client's stats in Map End Stats
	Fixed : HUD Stats were sometimes invalid
	Added : g_TDMOptions cvar
	Added : g_TDMOptions 1 : Kill based rather than XP based
	Added : g_TDMOptions 2 : Disable selfkill during TDM
	Added : g_DMOptions cvar
	Added : g_TDMObjBonus cvar : Bonus points given when objective is completed in Team Death Match
	Added : g_DMOptions 1 : Gives (max) 20Hp when killing someone
	Added : g_DMOptions 2 : HP Regenerates for every classes
	Added : g_DMOptions 4 : Disable selfkill during DM
	Added : g_DMOptions 8 : Shoutcaster status granted to every client when they connect
	Added : g_DMOptions 16 : COD4 Like Martyrdom, clients drop a grenade when they get killed. The grenade timer is set to 2.5 seconds
	Modified : Reduced the size of a few server commands
	Modified : Saved a few characters in clients userinfo
	Modified : No timelimit warnings during TDM or DM
	Fixed : Clients were able to pass rcon commands through custom shrubbot commands (if the command was using arguments)
	Cleanup : Removed a few unused fuctions and many unused vars
	Modified : No mounted MG42 during Death Match
	Fixed : Round Timer will not be drawn if gametype is Team Death Match or Death Match
	Fixed : Player's head (3rd person model) could move when playing dead
	Fixed : Sort players by Kills instead of XP in the scoreboard during Death Match
	Added : Flag 16 to g_medics : Level 5 First Aid skill allows players to regenerate HP in all classes (will not work for medic class if the flag 32 is set).
	Fixed : Reinforcement time wasn't drawn in TDM or DM
	Modified : Even more Configstrings size reduction
	Fixed : AdminChat and Private Messages now allow up to 250 characters
	Fixed : Multikills/Spree announces were sometimes displaying the followed player's name
	Fixed : !help command output was broken if too many commands were available
	Added : Flag 32 to g_announcer : Killing Sprees End anounces
	Added : Flag 64 to g_announcer : Death Sprees End anounces

		----------------------------------------------------

	BETA 8 :

	Fixed : Dead (or Playing dead) players were able to capture flags (when flying after being killed by a grenade for exemple).
	Fixed : Playing dead clients were able to escort tanks/trucks.
	Fixed : Spotting a lot of landmines was causing a big voice spam.
	Added : flag 4096 to g_weapons . Allow firing underwater (except Panzer, Flamer, Mortar, Mounted MG42 and Rifle Grenades).
	Added : New scoreboard for DeathMatch GT.
	Modified : Players will always spawn as Axis during DeathMatch.
	Added : Shrubbot timestamp.
	Added : !seen command.
	Modified : !userinfo will display the player's timestamp.
	Added : g_DMFragLimit cvar.
	Added : If a level 5 CovertOps gets a scoped headshot, the target will be sent to limbo (not reviveable).
	Made some security fixes in the shrubbot code.
	
		----------------------------------------------------

	BETA 7 :

	Added : Shoutcaster support (Shoutcasters will see player names, dynamite timers, landmines, revive sprites, and speclock will have no effect on them)
	Added : sclogin client command
	Added : sclogout client command
	Added : shoutcastpassword server cvar
	Removed : g_spectator server cvar (due to new shoutcaster feature)
	Fixed : map frag records date was wrong (was printing map spree record date)
	Fixed : missing dynamite icon in popups (since 2.0b6)
	Fixed : some global sounds were not played on the correct channel
	Added : Objective announces - Popups will announce who planted/defused/stole/returned/captured objective.
	
		----------------------------------------------------

	BETA 6 :

	Fixed : some shrubbot flags had no effect or were ignored in !useredit and !leveledit
	Reduced some configstrings size
	Reduced bandwidth usage when server sends sounds to all the clients
	Fixed : random server crash on Win32 servers
	Reworked two map end awards
	Fixed : Don't print /m X Y in chat if the command is typed in chat box
	Added : g_IPChecks and g_GUIDChecks cvars to enable/disable IP and GUID validity checks when a client connects
	GUID checks adapted (due to the recent "NO_GUID" problem caused by PB Auth server being down)
	Fixed : ClientUserinfoChanged was sometimes called too many times
	
		----------------------------------------------------

	BETA 5 :

	Fixed : MacOSX crash introduced in BETA2 (Special thanks to Robynhub and JamesPlock for performing the tests)
	Fixed : Clients were not parsing skill levels correctly
	Modified : Allow negative sprees in HUD Stats
	Fixed : forcecvar wasn't working correctly since beta3 or beta4
	New : Started adding new gametype : Death Match - Free For All (Not fully implemented yet)
	Added : "team_ctf_greenspawn" for "create" mapscript action (Gametype 8 only)
	Fixed : Spectators were able to /kill
	Fixed & Reworked : Centerprint "1" when arming,disarming,constructing... Now uses less bandwidth
	Fixed : Scoreboard -- "CONNECTING" "SPECTATOR" XP and Ping were not always at the right place
	New : AdminChat, players with the "adminchat" shrubbot flag will be able to use adminchat using the /ma command
	Added : "adminchat" shrubbot flag
	Added : cg_TDMScorePos (client side - 0 : top center / 1 : left, near lagometer etc...)
	Added : g_TDMScore value will be displayed under team scores if cg_TDMScorePos (client side) = 0.
	Lagometer position isn't static anymore. Just like FPS, Ping, Time etc...
	Fixed : !leveledit [remove] and !useredit [revoke] were broken and had no effect.
	Added : /tdminfo client command. Will print g_TDMScore value and explain TDM rules.
	
		----------------------------------------------------

	BETA 4:

	Modified : If g_dualSMG is enabled, only Medics, Enginners and FieldOps will be allowed to spawn with a secondary SMG.
	Fixed : Game trackers such as SplatterLadder were not displaying the good info. "P" string was corrupted
	Removed : flag '2' for g_dualSMG.
	Fixed : Soldiers were not able to fire weapons that use charge
	Modified : New scoreboard
	Added : An icon will be displayed near muted players on the scoreboard
	Fixed : Stamina was recharging way too fast
	Slightly reduced configstrings size
	
		----------------------------------------------------

	BETA 3:

	New : Whole new method to send messages from server to clients, thus server bandwidth usage will be reduced
	
		----------------------------------------------------

	BETA 2:

	Fixed : team_maxRifleGrenades had no effect in 1.5
	Fixed : K43/Garand models were wierd if the player had no Grenade launcher because of team_maxRifleGrenades
	Increased max number of shrubbot levels to 64 (was 32)
	Fixed : Respawn time wasn't drawn in TDM if timelimit was over
	Added : Server and client version will be printed in clients console when they connect. A warning message will be printed if server is improperly installed.
	Added : g_DJHeight, to control double jump height
	Fixed : Prediction errors near players. Player collisions will probably be less "jumpy" now.
	Modified : flag 64 of g_medics - Medics will regenerate normal HP at 2HP/secons and extra at 1HP/second
	Added : flag 128 to g_medics - Medics will regenerate normal HP at 1HP/second and won't regenerate extra HP at all
	Fixed : Players will now be able to prone closer to boxes, walls etc... (more ETPro'ish)
	Modified : Now using ETPro like hitboxes
	
		----------------------------------------------------

	BETA 1:
	
	Added : Omnibot 0.8 Support
	Added : Alternative HUD (cg_altHUD & cg_altHUDFlags)
	Fixed bugs with fireteam menus
	Optimized fireteam related code (client & server side)
	Reworked fireteam overlay
	Added cg_locationMaxChars to limit location lenght in fireteams
	Charge usage fixes (now based on the player's class charge instead of the class "supposed" to use the specific weapon)
	Picking up binoculars wont dropWeapon anymore
	Fixed : forcecvar could cause client crashes after a few maps
	Fixed : it was possible to bypass forcecvar by changing values in the menus
	Many code optimizations